package com.zcloud.mapper.dsno3.courseware;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：视频课件维护
 * 作者：luoxiaobao
 * 时间：2021-06-26
 * 官网：www.zcloudchina.com
 */
public interface VideoCoursewareMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
    List<PageData> findByIds(PageData pd);

	/**下拉选项列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getSelect(PageData pd);
	/**修改 课件状态
	 * @param pd
	 * @throws Exception
	 */
	void editByState(PageData pd);

	List<PageData> listAllByCurriculumId(PageData pd);
	/**
	 * 企业端获取 列表
	 * @param page
	 * @return
	 * @throws Exception
	 */
	List<PageData> getListByCorpinfodatalistPage(Page page);

    PageData findByRemoteId(PageData pd);

	void editTimeOut(PageData pd);
}

